%define oname		usbredir

%define major_parser		1
%define libname_parser		%mklibname usbredirparser %{major_parser}
%define develname_parser	%mklibname usbredirparser -d

%define major_host		1
%define libname_host		%mklibname usbredirhost %{major_host}
%define develname		%mklibname usbredir -d
%define develname_host		%mklibname usbredirhost -d

Name:		usbredir
Version:	0.7.1
Release:	%mkrel 1
License:	GPL-2.0+ ; LGPL-2.1+
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries
Source0:	http://spice-space.org/download/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libusb-1.0)

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers

# ---------------------------------------------------------------------------

%package -n %{libname_host}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_host}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname_host} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# (tv) mga5 -> mga6 upgrade:
%rename %develname_parser
%rename %develname_host
Obsoletes:	usbredir-devel <= %{version}-%{release}


%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# ---------------------------------------------------------------------------

%package -n %{libname_parser}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_parser}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make V=1

%install
%makeinstall_std LIBDIR=%{_libdir} PREFIX=%{_prefix}
find %{buildroot} -type f -name "*.la" -delete -print

%files -n %{develname}
%doc usb-redirection-protocol.txt README.multi-thread ChangeLog TODO
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files
%doc ChangeLog README COPYING
%{_sbindir}/usbredirserver
%{_mandir}/man1/usbredirserver.1*

%files -n %{libname_host}
%{_libdir}/libusbredirhost.so.%{major_host}*

%files -n %{libname_parser}
%{_libdir}/libusbredirparser.so.%{major_parser}*



%changelog
* Tue Aug 22 2017 adrianomorselli <adrianomorselli> 0.7.1-1uplos2017
- imported for new remmina
